/*
 *  <legal_notice>
 *   MaxLinear, Inc. retains all right, title and interest (including all intellectual
 *   property rights) in and to this computer program, which is protected by applicable
 *   intellectual property laws.  Unless you have obtained a separate written license from
 *   MaxLinear, Inc. or an authorized licensee of MaxLinear, Inc., you are not authorized
 *   to utilize all or a part of this computer program for any purpose (including
 *   reproduction, distribution, modification, and compilation into object code), and you
 *   must immediately destroy or return all copies of this computer program.  If you are
 *   licensed by MaxLinear, Inc. or an authorized licensee of MaxLinear, Inc., your rights
 *   to utilize this computer program are limited by the terms of that license.
 *  
 *   This computer program contains trade secrets owned by MaxLinear, Inc. and, unless
 *   authorized by MaxLinear, Inc. in writing, you agree to maintain the confidentiality
 *   of this computer program and related information and to not disclose this computer
 *   program and related information to any other person or entity.
 *  
 *   Misuse of this computer program or any information contained in it may results in
 *   violations of applicable law.  MaxLinear, Inc. vigorously enforces its copyright,
 *   trade secret, patent, contractual, and other legal rights.
 *  
 *   THIS COMPUTER PROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTIES, AND 
 *    MAXLINEAR, INC.
 *   EXPRESSLY DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING THE 
 *   WARRANTIES OF
 *   MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND 
 *   NONINFRINGEMENT.
 *  
 *  ***************************************************************************************
 *                                          Copyright (c) 2016/2022, MaxLinear, Inc.
 *  ***************************************************************************************
 *  </legal_notice>
 */

package resources;

import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URI;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

import main.InitApp;

public class ExtractResources
{
  public static File extractFileToTmp(String name)
  {
    URI fileuri = null;
    File file;
    
    try {
      fileuri = getFile(name);
      file = new File(fileuri);
      
      System.out.println(file.getAbsolutePath());
    } catch (Exception e) {
      // TODO Auto-generated catch block
      e.printStackTrace();
      return null;
    }
    return file;
  }
 
  private static URI getFile(String fileName)
      throws IOException
  {
    File         tempFile;
    InputStream  resourceStream = null;
    OutputStream fileStream = null;

    tempFile = File.createTempFile("sct", fileName);
    tempFile.deleteOnExit();

    try
    {
      final byte[] buf;
      int          i;

      resourceStream = InitApp.class.getResourceAsStream("/resources/"+fileName);
      fileStream = new FileOutputStream(tempFile);
      buf        = new byte[1024];
      i          = 0;

      if (resourceStream != null)
      {
        while((i = resourceStream.read(buf)) != -1)
        {
          fileStream.write(buf, 0, i);
        }
      }
    }
    finally
    {
      streamClose(resourceStream);
      streamClose(fileStream);
    }


    if (resourceStream != null)
    {
      return (tempFile.toURI());
    }
    else
    {
      return null;
    }
  }

  private static void streamClose(Closeable stream)
  {
    if(stream != null)
    {
      try
      {
        stream.close();
      }
      catch(final IOException ex)
      {
        ex.printStackTrace();
      }
    }
  }
  
}
