/*
 *  <legal_notice>
 *   MaxLinear, Inc. retains all right, title and interest (including all intellectual
 *   property rights) in and to this computer program, which is protected by applicable
 *   intellectual property laws.  Unless you have obtained a separate written license from
 *   MaxLinear, Inc. or an authorized licensee of MaxLinear, Inc., you are not authorized
 *   to utilize all or a part of this computer program for any purpose (including
 *   reproduction, distribution, modification, and compilation into object code), and you
 *   must immediately destroy or return all copies of this computer program.  If you are
 *   licensed by MaxLinear, Inc. or an authorized licensee of MaxLinear, Inc., your rights
 *   to utilize this computer program are limited by the terms of that license.
 *  
 *   This computer program contains trade secrets owned by MaxLinear, Inc. and, unless
 *   authorized by MaxLinear, Inc. in writing, you agree to maintain the confidentiality
 *   of this computer program and related information and to not disclose this computer
 *   program and related information to any other person or entity.
 *  
 *   Misuse of this computer program or any information contained in it may results in
 *   violations of applicable law.  MaxLinear, Inc. vigorously enforces its copyright,
 *   trade secret, patent, contractual, and other legal rights.
 *  
 *   THIS COMPUTER PROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTIES, AND 
 *    MAXLINEAR, INC.
 *   EXPRESSLY DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING THE 
 *   WARRANTIES OF
 *   MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND 
 *   NONINFRINGEMENT.
 *  
 *  ***************************************************************************************
 *                                          Copyright (c) 2016/2022, MaxLinear, Inc.
 *  ***************************************************************************************
 *  </legal_notice>
 */

package resources;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.Hashtable;

public class ParseConfigurationFile {
  
  static Hashtable<String, String> configuration;
  
  static public void init(InputStream configStream)
  {
    configuration = new Hashtable<String, String>();
    try
    {
      BufferedReader bfr = new BufferedReader(new InputStreamReader(configStream, "UTF-8"));
      String line;
      while ((line = bfr.readLine()) != null)
      {
        String param = line.substring(0, line.indexOf('='));
        String value = line.substring(line.indexOf('=') + 1, line.length());
        configuration.put(param, value);
      }
      bfr.close();
    } catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  public static String get(String param) {
    if (configuration.containsKey(param))
    {
      return configuration.get(param);
    }
    return null;
  }
}
